Imports System.ComponentModel
Imports System.Configuration.Install
Imports System.ServiceProcess

<RunInstaller(True)>
Public Class ProjectInstaller
    Inherits Installer

    Private ReadOnly process As ServiceProcessInstaller
    Private ReadOnly components As IContainer
    Private ReadOnly service As ServiceInstaller

    Public Sub New()
        process = New ServiceProcessInstaller With {
            .Account = ServiceAccount.LocalSystem
        }
        service = New ServiceInstaller With {
            .ServiceName = Constants.SERVICE_NAME,
            .DisplayName = Constants.SERVICE_DISPLAY_NAME
        }
        Installers.Add(process)
        Installers.Add(service)
    End Sub
End Class
